## org.omg.CONV_FRAME
Class CodeSetComponentInfoHelper

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetComponentInfoHelper

public class CodeSetComponentInfoHelper
extends java.lang.Object

Helper class for : CodeSetComponentInfo

Author:
  OpenORB Compiler

Constructor Summary
`CodeSetComponentInfoHelper()`

Method Summary
`static CodeSetComponentInfo` `extract(Any a)` Extract CodeSetComponentInfo from an any
`static java.lang.String` `id()` Return the CodeSetComponentInfo IDL ID
`static void` `insert(Any a, CodeSetComponentInfo t)` Insert CodeSetComponentInfo into an any
`static CodeSetComponentInfo` `read(InputStream istream)` Read CodeSetComponentInfo from a marshalled stream
`static TypeCode` `type()` Return the CodeSetComponentInfo TypeCode
`static void` `write(OutputStream ostream, CodeSetComponentInfo value)` Write CodeSetComponentInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeSetComponentInfoHelper

    public CodeSetComponentInfoHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CodeSetComponentInfo t)

  Insert CodeSetComponentInfo into an any
  Parameters:
    `a` - an any
    `t` - CodeSetComponentInfo value

### extract

    public static CodeSetComponentInfo extract(Any a)

  Extract CodeSetComponentInfo from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CodeSetComponentInfo value

### type

    public static TypeCode type()

  Return the CodeSetComponentInfo TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CodeSetComponentInfo IDL ID
  Returns:
    an ID

### read

    public static CodeSetComponentInfo read(InputStream istream)

  Read CodeSetComponentInfo from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CodeSetComponentInfo value

### write

    public static void write(OutputStream ostream,
                             CodeSetComponentInfo value)

  Write CodeSetComponentInfo into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CodeSetComponentInfo value